POST /api/v1/reports/requests — Generate Requests Report
Generate a detailed report of signing requests with filtering options. The report can be exported in various formats.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- application/json
Request Body
Content-Type: application/json
{
"fromDate": "2025-05-14",
"toDate": "2025-05-16",
"UserId": null
}Responses
HTTP 200 — Requests report generated
{
"data": [
{
"id": "0a727241-a392-49c1-9fad-2551e5dc0cf9",
"status": "In-progress",
"statusValue": 1,
"createDate": "2025-05-16T01:42:47.003",
"signatories": [
{
"id": "64db64e6-a2db-4164-8a32-48daac19846d",
"signatureRequestId": "0a727241-a392-49c1-9fad-2551e5dc0cf9",
"status": "SIGNED",
"statusValue": 3,
"fullName": "Waleed",
"fullNameAr": "Waleed",
"nationalId": "",
"signOrder": 0,
"email": "cesowe2771@hazhab.com",
"phoneNumber": "",
"gender": "NONE",
"nationlity": "",
"signDate": "2025-05-16T01:51:19.377"
},
{
"id": "59a130d7-5b4b-42e9-ba2d-9d6491c9437d",
"signatureRequestId": "0a727241-a392-49c1-9fad-2551e5dc0cf9",
"status": "SIGNED",
"statusValue": 3,
"fullName": "SALEM",
"fullNameAr": "سالم",
"nationalId": "000.....",
"signOrder": 0,
"email": "a.a@gmail.com",
"phoneNumber": "+96278000..",
"gender": "MALE",
"nationlity": "الاردن",
"signDate": null
},
{
"id": "49f471d6-5fa6-4b21-b4aa-d97eea338ec4",
"signatureRequestId": "0a727241-a392-49c1-9fad-2551e5dc0cf9",
"status": "PENDING",
"statusValue": 1,
"fullName": "Hussein",
"fullNameAr": " ",
"nationalId": "sadq-api-not pr",
"signOrder": 0,
"email": "a.a@gmail.com",
"phoneNumber": "",
"gender": "MALE",
"nationlity": "",
"signDate": null
}
],
"documents": [
{
"id": "8f0648ba-2b67-4d0d-9686-1caf69da3dcf",
"signatureRequestId": "0a727241-a392-49c1-9fad-2551e5dc0cf9",
"fileName": "Test_1.pdf",
"uploadDate": "2025-05-16T01:42:46.923",
"sizeInKB": 14,
"isSigned": false
}
],
"referenceNumber": "sadq-api-2025-20"
}
],
"errorCode": 0,
"message": null,
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}